#include <BarnesHutTree.hpp>
#include <MpiSimulation.hpp>
#include <iostream>
#include <mpi.h>
#include <cstdlib>
#include <Tree.hpp>

using namespace nbody;
using namespace std;

int main(int argc, char* argv[]) {
	MPI_Init(&argc, &argv);
	MpiSimulation simulation(argc, argv);
	int rank;

	MPI_Comm_rank(MPI_COMM_WORLD, &rank);

	simulation.distributeBodies();
	simulation.distributeDomains();
	simulation.buildTree();

	for (int i = 0; i < 1; i++) {
		//local tree is built and correct domains are distributed
		simulation.runStep();
	}
	simulation.cleanup();
	MPI_Finalize();
	return 0;
}
